package com.fjhx.victoriatourist.service.after;

import com.fjhx.victoriatourist.entity.after.po.AfterSaleRecord;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.after.vo.AfterSaleRecordVo;
import com.fjhx.victoriatourist.entity.after.dto.AfterSaleRecordSelectDto;
import com.fjhx.victoriatourist.entity.after.dto.AfterSaleRecordDto;


/**
 * <p>
 * 售后管理 服务类
 * </p>
 *
 * @author
 * @since 2023-04-19
 */
public interface AfterSaleRecordService extends BaseService<AfterSaleRecord> {

    /**
     * 售后管理分页
     */
    Page<AfterSaleRecordVo> getPage(AfterSaleRecordSelectDto dto);

    /**
     * 售后管理明细
     */
    AfterSaleRecordVo detail(Long id);

    /**
     * 售后管理新增
     */
    void add(AfterSaleRecordDto afterSaleRecordDto);

    /**
     * 售后管理编辑
     */
    void edit(AfterSaleRecordDto afterSaleRecordDto);

    /**
     * 售后管理删除
     */
    void delete(Long id);

}
